# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "feox-server"
version = "0.3.0"
authors = ["Mehran Toosi"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-performance Redis-compatible server for Feox DB"
readme = "README.md"
keywords = [
    "database",
    "redis",
    "key-value",
    "server",
    "high-performance",
]
categories = [
    "database",
    "network-programming",
]
license = "Apache-2.0"
repository = "https://github.com/mehrantsi/feox-server"

[features]
default = []
numa = ["hwloc2"]

[lib]
name = "feox_server"
path = "src/lib.rs"

[[bin]]
name = "feox-server"
path = "src/bin/server.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.bytes]
version = "1.9"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.ctrlc]
version = "3.4"

[dependencies.feoxdb]
version = "0.4.1"

[dependencies.hwloc2]
version = "2.2"
optional = true

[dependencies.itoa]
version = "1.0"

[dependencies.libc]
version = "0.2"

[dependencies.memchr]
version = "2.7"

[dependencies.mio]
version = "1.0"
features = [
    "net",
    "os-poll",
]

[dependencies.nix]
version = "0.29"
features = [
    "net",
    "sched",
]

[dependencies.num_cpus]
version = "1.16"

[dependencies.parking_lot]
version = "0.12"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]
